Functions
Functions
Peripheral Driver » LL Driver » LL Clock Calibration

## Functions
__STATIC_INLINE void | ll_sl_clk_cal_enable (void)
| Enable the clock calibration block. More...
__STATIC_INLINE void | ll_sl_clk_cal_disable (void)
| Disable the clock calibration block. More...
__STATIC_INLINE uint32_t | ll_sl_clk_cal_is_enable (void)
| Is the clock calibration block. More...
__STATIC_INLINE void | ll_sl_clk_cal_set_slow_count (uint32_t count)
| Set the slow clock calibration count. More...
__STATIC_INLINE uint32_t | ll_sl_clk_cal_get_slow_count (void)
| Get the slow clock calibration setting count. More...
__STATIC_INLINE uint32_t | ll_sl_clk_cal_is_done (void)
| Get the clock calibration done status. More...
__STATIC_INLINE uint32_t | ll_sl_clk_cal_is_overflow (void)
| Get the clock calibration overflow status. More...
__STATIC_INLINE uint32_t | ll_sl_clk_cal_get_fast_count (void)
| Get the fast clock calibration count value. More...
__STATIC_INLINE uint32_t | ll_sl_clk_cal_get_slow_cur_count (void)
| Get the slow clock calibration current count value. More...
__STATIC_INLINE void | ll_sl_clk_cal_set_clk_source (uint32_t clk_source)
| Set the clock calibration clock source. More...
__STATIC_INLINE uint32_t | ll_sl_clk_cal_get_clk_source (void)
| Get the clock calibration clock source. More...
__STATIC_INLINE void | ll_sl_clk_cal_enable_done_it (void)
| Enable the clock calibration done interrupt. More...
__STATIC_INLINE void | ll_sl_clk_cal_disable_done_it (void)
| Disable the clock calibration done interrupt. More...
__STATIC_INLINE void | ll_sl_clk_cal_enable_over_it (void)
| Enable the clock calibration overflow interrupt. More...
__STATIC_INLINE void | ll_sl_clk_cal_disable_over_it (void)
| Disable the clock calibration overflow interrupt. More...
__STATIC_INLINE void | ll_sl_clk_cal_clear_done_it (void)
| Clear the clock calibration done interrupt. More...
__STATIC_INLINE void | ll_sl_clk_cal_clear_over_it (void)
| Clear the clock calibration over interrupt. More...
__STATIC_INLINE void | ll_hs_clk_cal_enable (void)
| Enable the clock calibration block. More...
__STATIC_INLINE void | ll_hs_clk_cal_disable (void)
| Disable the clock calibration block. More...
__STATIC_INLINE uint32_t | ll_hs_clk_cal_is_enable (void)
| Is the clock calibration block. More...
__STATIC_INLINE void | ll_hs_clk_cal_set_slow_count (uint32_t count)
| Set the slow clock calibration count. More...
__STATIC_INLINE uint32_t | ll_hs_clk_cal_get_slow_count (void)
| Get the slow clock setting count. More...
__STATIC_INLINE uint32_t | ll_hs_clk_cal_is_done (void)
| Get the clock calibration done status. More...
__STATIC_INLINE uint32_t | ll_hs_clk_cal_is_overflow (void)
| Get the clock calibration overflow status. More...
__STATIC_INLINE uint32_t | ll_hs_clk_cal_get_fast_count (void)
| Get the fast clock calibration count value. More...
__STATIC_INLINE uint32_t | ll_hs_clk_cal_get_slow_cur_count (void)
| Get the slow clock calibration current count value. More...
__STATIC_INLINE void | ll_hs_clk_cal_set_clk_source (uint32_t clk_source)
| Set the clock calibration clock source. More...
__STATIC_INLINE uint32_t | ll_hs_clk_cal_get_clk_source (void)
| Get the clock calibration clock source. More...
__STATIC_INLINE void | ll_hs_clk_cal_enable_done_it (void)
| Enable the clock calibration done interrupt. More...
__STATIC_INLINE void | ll_hs_clk_cal_disable_done_it (void)
| Disable the clock calibration done interrupt. More...
__STATIC_INLINE void | ll_hs_clk_cal_enable_over_it (void)
| Enable the clock calibration overflow interrupt. More...
__STATIC_INLINE void | ll_hs_clk_cal_disable_over_it (void)
| Disable the clock calibration overflow interrupt. More...
__STATIC_INLINE void | ll_hs_clk_cal_clear_done_it (void)
| Clear the clock calibration done interrupt. More...
__STATIC_INLINE void | ll_hs_clk_cal_clear_over_it (void)
| Clear the clock calibration over interrupt. More...

## Detailed Description

## Function Documentation

## ◆ ll_hs_clk_cal_clear_done_it()

__STATIC_INLINE void ll_hs_clk_cal_clear_done_it | ( | void |  | ) |

Clear the clock calibration done interrupt.

Register|BitsName --------|-------- HS_CLK_INT_EN | DONE

Definition at line 515 of file gr533x_ll_clk_cal.h.

## ◆ ll_hs_clk_cal_clear_over_it()

__STATIC_INLINE void ll_hs_clk_cal_clear_over_it | ( | void |  | ) |

Clear the clock calibration over interrupt.

Register|BitsName --------|-------- HS_CLK_INT_EN | DONE

Definition at line 528 of file gr533x_ll_clk_cal.h.

## ◆ ll_hs_clk_cal_disable()

__STATIC_INLINE void ll_hs_clk_cal_disable | ( | void |  | ) |

Disable the clock calibration block.

Register|BitsName --------|-------- HS_CLK_CTRL | EN

Definition at line 325 of file gr533x_ll_clk_cal.h.

## ◆ ll_hs_clk_cal_disable_done_it()

__STATIC_INLINE void ll_hs_clk_cal_disable_done_it | ( | void |  | ) |

Disable the clock calibration done interrupt.

Register|BitsName --------|-------- HS_CLK_INT_EN | DONE

Definition at line 476 of file gr533x_ll_clk_cal.h.

## ◆ ll_hs_clk_cal_disable_over_it()

__STATIC_INLINE void ll_hs_clk_cal_disable_over_it | ( | void |  | ) |

Disable the clock calibration overflow interrupt.

Register|BitsName --------|-------- HS_CLK_INT_EN | OVER

Definition at line 502 of file gr533x_ll_clk_cal.h.

## ◆ ll_hs_clk_cal_enable()

__STATIC_INLINE void ll_hs_clk_cal_enable | ( | void |  | ) |

Enable the clock calibration block.

Register|BitsName --------|-------- HS_CLK_CTRL | EN

Definition at line 312 of file gr533x_ll_clk_cal.h.

## ◆ ll_hs_clk_cal_enable_done_it()

__STATIC_INLINE void ll_hs_clk_cal_enable_done_it | ( | void |  | ) |

Enable the clock calibration done interrupt.

Register|BitsName --------|-------- HS_CLK_INT_EN | DONE

Definition at line 463 of file gr533x_ll_clk_cal.h.

## ◆ ll_hs_clk_cal_enable_over_it()

__STATIC_INLINE void ll_hs_clk_cal_enable_over_it | ( | void |  | ) |

Enable the clock calibration overflow interrupt.

Register|BitsName --------|-------- HS_CLK_INT_EN | OVER

Definition at line 489 of file gr533x_ll_clk_cal.h.

## ◆ ll_hs_clk_cal_get_clk_source()

__STATIC_INLINE uint32_t ll_hs_clk_cal_get_clk_source | ( | void |  | ) |

Get the clock calibration clock source.

Register|BitsName --------|-------- HS_CLK_CNT | CLK_SOURCE

Return values

  0x0 | ~ 0x2.

Definition at line 449 of file gr533x_ll_clk_cal.h.

## ◆ ll_hs_clk_cal_get_fast_count()

__STATIC_INLINE uint32_t ll_hs_clk_cal_get_fast_count | ( | void |  | ) |

Get the fast clock calibration count value.

Register|BitsName --------|-------- HS_CLK_CNT0 | CNT0

Return values

  0x0 | ~ 0xFFFFFF.

Definition at line 408 of file gr533x_ll_clk_cal.h.

## ◆ ll_hs_clk_cal_get_slow_count()

__STATIC_INLINE uint32_t ll_hs_clk_cal_get_slow_count | ( | void |  | ) |

Get the slow clock setting count.

Register|BitsName --------|-------- HS_CLK_CNT | CNT_COUNT

Return values

  0x0 | ~ 0xFFF.

Definition at line 366 of file gr533x_ll_clk_cal.h.

## ◆ ll_hs_clk_cal_get_slow_cur_count()

__STATIC_INLINE uint32_t ll_hs_clk_cal_get_slow_cur_count | ( | void |  | ) |

Get the slow clock calibration current count value.

Register|BitsName --------|-------- HS_CLK_CNT1 | CNT1

Return values

  0x0 | ~ 0xFFF.

Definition at line 422 of file gr533x_ll_clk_cal.h.

## ◆ ll_hs_clk_cal_is_done()

__STATIC_INLINE uint32_t ll_hs_clk_cal_is_done | ( | void |  | ) |

Get the clock calibration done status.

Register|BitsName --------|-------- HS_CLK_STAT | READY

Return values

  0x0 | ~ 0x1.

Definition at line 380 of file gr533x_ll_clk_cal.h.

## ◆ ll_hs_clk_cal_is_enable()

__STATIC_INLINE uint32_t ll_hs_clk_cal_is_enable | ( | void |  | ) |

Is the clock calibration block.

Register|BitsName --------|-------- HS_CLK_CTRL | EN

Definition at line 339 of file gr533x_ll_clk_cal.h.

## ◆ ll_hs_clk_cal_is_overflow()

__STATIC_INLINE uint32_t ll_hs_clk_cal_is_overflow | ( | void |  | ) |

Get the clock calibration overflow status.

Register|BitsName --------|-------- SL_CLK_STAT | OVERFLOW

Return values

  0x0 | ~ 0x1.

Definition at line 394 of file gr533x_ll_clk_cal.h.

## ◆ ll_hs_clk_cal_set_clk_source()

__STATIC_INLINE void ll_hs_clk_cal_set_clk_source | ( | uint32_t | clk_source | ) |

Set the clock calibration clock source.

Register|BitsName --------|-------- HS_CLK_CNT | CLK_SOURCE

Parameters

  clk_source | 0x0 ~ 0x2.

Definition at line 435 of file gr533x_ll_clk_cal.h.

## ◆ ll_hs_clk_cal_set_slow_count()

__STATIC_INLINE void ll_hs_clk_cal_set_slow_count | ( | uint32_t | count | ) |

Set the slow clock calibration count.

Register|BitsName --------|-------- HS_CLK_CNT | CNT_COUNT

Parameters

  count | 0x0 ~ 0xFFF.

Definition at line 352 of file gr533x_ll_clk_cal.h.

## ◆ ll_sl_clk_cal_clear_done_it()

__STATIC_INLINE void ll_sl_clk_cal_clear_done_it | ( | void |  | ) |

Clear the clock calibration done interrupt.

Register|BitsName --------|-------- SL_CLK_INT_EN | DONE

Definition at line 287 of file gr533x_ll_clk_cal.h.

## ◆ ll_sl_clk_cal_clear_over_it()

__STATIC_INLINE void ll_sl_clk_cal_clear_over_it | ( | void |  | ) |

Clear the clock calibration over interrupt.

Register|BitsName --------|-------- SL_CLK_INT_EN | DONE

Definition at line 300 of file gr533x_ll_clk_cal.h.

## ◆ ll_sl_clk_cal_disable()

__STATIC_INLINE void ll_sl_clk_cal_disable | ( | void |  | ) |

Disable the clock calibration block.

Register|BitsName --------|-------- SL_CLK_CTRL | EN

Definition at line 98 of file gr533x_ll_clk_cal.h.

## ◆ ll_sl_clk_cal_disable_done_it()

__STATIC_INLINE void ll_sl_clk_cal_disable_done_it | ( | void |  | ) |

Disable the clock calibration done interrupt.

Register|BitsName --------|-------- SL_CLK_INT_EN | DONE

Definition at line 248 of file gr533x_ll_clk_cal.h.

## ◆ ll_sl_clk_cal_disable_over_it()

__STATIC_INLINE void ll_sl_clk_cal_disable_over_it | ( | void |  | ) |

Disable the clock calibration overflow interrupt.

Register|BitsName --------|-------- SL_CLK_INT_EN | OVER

Definition at line 274 of file gr533x_ll_clk_cal.h.

## ◆ ll_sl_clk_cal_enable()

__STATIC_INLINE void ll_sl_clk_cal_enable | ( | void |  | ) |

Enable the clock calibration block.

Register|BitsName --------|-------- SL_CLK_CTRL | EN

Definition at line 85 of file gr533x_ll_clk_cal.h.

## ◆ ll_sl_clk_cal_enable_done_it()

__STATIC_INLINE void ll_sl_clk_cal_enable_done_it | ( | void |  | ) |

Enable the clock calibration done interrupt.

Register|BitsName --------|-------- SL_CLK_INT_EN | DONE

Definition at line 235 of file gr533x_ll_clk_cal.h.

## ◆ ll_sl_clk_cal_enable_over_it()

__STATIC_INLINE void ll_sl_clk_cal_enable_over_it | ( | void |  | ) |

Enable the clock calibration overflow interrupt.

Register|BitsName --------|-------- SL_CLK_INT_EN | OVER

Definition at line 261 of file gr533x_ll_clk_cal.h.

## ◆ ll_sl_clk_cal_get_clk_source()

__STATIC_INLINE uint32_t ll_sl_clk_cal_get_clk_source | ( | void |  | ) |

Get the clock calibration clock source.

Register|BitsName --------|-------- SL_CLK_CNT | CLK_SOURCE

Return values

  0x0 | ~ 0x2.

Definition at line 221 of file gr533x_ll_clk_cal.h.

## ◆ ll_sl_clk_cal_get_fast_count()

__STATIC_INLINE uint32_t ll_sl_clk_cal_get_fast_count | ( | void |  | ) |

Get the fast clock calibration count value.

Register|BitsName --------|-------- SL_CLK_CNT0 | CNT0

Return values

  0x0 | ~ 0xFFFFFF.

Definition at line 180 of file gr533x_ll_clk_cal.h.

## ◆ ll_sl_clk_cal_get_slow_count()

__STATIC_INLINE uint32_t ll_sl_clk_cal_get_slow_count | ( | void |  | ) |

Get the slow clock calibration setting count.

Register|BitsName --------|-------- SL_CLK_CNT | CNT_COUNT

Return values

  0x0 | ~ 0xFFF.

Definition at line 138 of file gr533x_ll_clk_cal.h.

## ◆ ll_sl_clk_cal_get_slow_cur_count()

__STATIC_INLINE uint32_t ll_sl_clk_cal_get_slow_cur_count | ( | void |  | ) |

Get the slow clock calibration current count value.

Register|BitsName --------|-------- SL_CLK_CNT1 | CNT1

Return values

  0x0 | ~ 0xFFF.

Definition at line 194 of file gr533x_ll_clk_cal.h.

## ◆ ll_sl_clk_cal_is_done()

__STATIC_INLINE uint32_t ll_sl_clk_cal_is_done | ( | void |  | ) |

Get the clock calibration done status.

Register|BitsName --------|-------- SL_CLK_STAT | READY

Return values

  0x0 | ~ 0x1.

Definition at line 152 of file gr533x_ll_clk_cal.h.

## ◆ ll_sl_clk_cal_is_enable()

__STATIC_INLINE uint32_t ll_sl_clk_cal_is_enable | ( | void |  | ) |

Is the clock calibration block.

Register|BitsName --------|-------- SL_CLK_CTRL | EN

Definition at line 111 of file gr533x_ll_clk_cal.h.

## ◆ ll_sl_clk_cal_is_overflow()

__STATIC_INLINE uint32_t ll_sl_clk_cal_is_overflow | ( | void |  | ) |

Get the clock calibration overflow status.

Register|BitsName --------|-------- SL_CLK_STAT | OVERFLOW

Return values

  0x0 | ~ 0x1.

Definition at line 166 of file gr533x_ll_clk_cal.h.

## ◆ ll_sl_clk_cal_set_clk_source()

__STATIC_INLINE void ll_sl_clk_cal_set_clk_source | ( | uint32_t | clk_source | ) |

Set the clock calibration clock source.

Register|BitsName --------|-------- SL_CLK_CNT | CLK_SOURCE

Parameters

  clk_source | 0x0 ~ 0x2.

Definition at line 207 of file gr533x_ll_clk_cal.h.

## ◆ ll_sl_clk_cal_set_slow_count()

__STATIC_INLINE void ll_sl_clk_cal_set_slow_count | ( | uint32_t | count | ) |

Set the slow clock calibration count.

Register|BitsName --------|-------- SL_CLK_CNT | CNT_COUNT

Parameters

  count | 0x0 ~ 0xFFF.

Definition at line 124 of file gr533x_ll_clk_cal.h.